<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="assignManager()" [mbIsDisable]="isLoading"
             mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
</div>

<div class="org-content-main">
  <div class="text-group__title">{{'staffManager.managerDirect.label.employeeInfo' | translate}}</div>
  <nz-divider></nz-divider>
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" [ngModel]="" [ngModelOptions]="{standalone: true}" *ngIf="!request.managerProcessId && !detailManage"
                                           (selectedChange)="onChange($event)"
                                           [status]="'WORKING'"
                                           [functionCode]="''"
                                           [multiple]="false" [mbDisable]="false"
                                           mbLabelText="{{'staffManager.managerDirect.label.emp' | translate}}">
      </hcm-mfe-employee-data-search-policy>
      <div class="text-group" *ngIf="request.managerProcessId || detailManage">
        <div class="text-group__title">{{'staffManager.managerDirect.label.emp' | translate}}</div>
        <div class="text-group__content">{{employee?.fullName}}-{{employee?.employeeCode}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Job</div>
        <div class="text-group__content">{{employee?.jobName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">{{'staffManager.managerDirect.label.org' | translate}}</div>
        <div class="text-group__content">{{employee?.orgName}}</div>
      </div>
    </div>
  </div>

  <div nz-row [nzGutter]="24" class="row_bottom">
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Level</div>
        <div class="text-group__content">{{employee?.levelName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">Position</div>
        <div class="text-group__content">{{this.detailManage.positionName}}</div>
      </div>
    </div>
  </div>
</div>

<div class="org-content-main content-main-bottom">
  <div class="text-group__title display-btn">{{'staffManager.managerDirect.label.dManagerInfo' | translate}}
    <div [ngClass]="listAssignRequest.length > 1 ?'pr-12':''">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT' (click)="addManager()">
        <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
             nz-tooltip nzTooltipTitle="{{'common.label.create' | translate}}" nzTooltipPlacement="bottom">
      </mb-button>
    </div>
  </div>
  <nz-divider></nz-divider>
  <div class="scroll-style">
  <ng-container *ngFor="let item of listAssignRequest;let i = index">
    <div nz-row [nzGutter]="24">
      <div nz-col [nzSpan]="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          [(ngModel)]="item.fromDate"
          [mbType]="submit && (!item.fromDate || error) ? 'error' : 'default'"
          [mbShowError]="submit && (!item.fromDate || error) ? true : false"
          [mbErrors]="error ? {duplicate:true} : {required:true}"
          (ngModelChange)="changeDate($event, true)"
          [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'staffManager.managerDirect.validate.assignDate' | translate
          },
          {
            errorName: 'duplicate',
            errorDescription: error
          }
        ]"
          mbLabelText="{{'staffManager.managerDirect.label.assignDate' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.managerDirect.placeHolder.date' | translate}}"
        >
        </mb-date-picker>
      </div>
      <div nz-col [nzSpan]="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          [(ngModel)]="item.toDate"
          (ngModelChange)="changeDate($event, false)"
          [mbType]="'default'"
          mbLabelText="{{'staffManager.managerDirect.label.endDate' | translate}}"
          mbPlaceholderText="{{'staffManager.managerDirect.placeHolder.date' | translate}}"
        >
        </mb-date-picker>
      </div>
      <div nz-col [nzSpan]="12">
        <div class='display-end'>
          <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT' (click)="deleteManager(i)"
                     [mbIsDisable]='listAssignRequest.length === 1 '>
            <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                 nz-tooltip nzTooltipTitle="{{'common.label.delete' | translate}}" nzTooltipPlacement="bottom">
          </mb-button>
        </div>
      </div>
    </div>
    <div nz-row [nzGutter]="24" class="row_bottom">
      <div nz-col [nzSpan]="6">
        <mb-select [mbDataSelects]="listManagerTmp" mbKeyLabel="fullName" mbKeyValue="employeeId"
                   mbLabelText="{{'staffManager.managerDirect.label.dManager' | translate}} <span class='label__required'>*</span>"
                   [(ngModel)]="item.managerId"
                   (mbOnSearch)='onSearch($event)'
                   (mbSelect)="changeEmp($event, true,item)"
                   [mbType]="submit && !item.managerId ? 'error' : 'default'"
                   [mbShowError]="submit && !item.managerId"
                   [mbErrors]="{required:true}"
                   [mbServerSearch]="true"
                   [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'staffManager.validate.required' | translate : {'param' :  'staffManager.managerDirect.label.dManager' | translate}
          }
        ]"
                   mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}">
        </mb-select>
      </div>
      <div nz-col [nzSpan]="6">
        <div class="text-group">
          <div class="text-group__title">Job</div>
          <div class="text-group__content">{{item.managerD?.jobName}}</div>
        </div>
      </div>
      <div nz-col [nzSpan]="12">
        <div class="text-group">
          <div class="text-group__title">{{'staffManager.managerDirect.label.org' | translate}}</div>
          <div class="text-group__content">{{item.managerD?.orgFullName}}</div>
        </div>
      </div>
    </div>

    <div class="checkbox">
      <label nz-checkbox [(ngModel)]="item.hasIndirectManager">{{'staffManager.managerDirect.label.iManagerInfo' | translate}}</label>
    </div>

    <div nz-row [nzGutter]="24" class="row_bottom" *ngIf="item.hasIndirectManager">
      <div nz-col [nzSpan]="6">
        <mb-select [mbDataSelects]="listManagerTmp" mbKeyLabel="fullName" mbKeyValue="employeeId"
                   (mbSelect)="changeEmp($event, false,item)"
                   (mbOnSearch)='onSearch($event)'
                   [(ngModel)]="item.indirectManagerId"
                   [mbType]="submit && !item.indirectManagerId ? 'error' : 'default'"
                   [mbShowError]="submit && !item.indirectManagerId"
                   [mbErrors]="{required:true}"
                   [mbServerSearch]="true"
                   [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'staffManager.validate.required' | translate : {'param' :  'staffManager.managerDirect.label.iManager' | translate}
          }
        ]"
                   mbLabelText="{{'staffManager.managerDirect.label.iManager' | translate}} <span class='label__required'>*</span>"
                   mbPlaceholder="{{'staffManager.managerDirect.placeHolder.choose' | translate}}"></mb-select>
      </div>
      <div nz-col [nzSpan]="6">
        <div class="text-group">
          <div class="text-group__title">Job</div>
          <div class="text-group__content">{{item.managerI?.jobName}}</div>
        </div>
      </div>
      <div nz-col [nzSpan]="12">
        <div class="text-group">
          <div class="text-group__title">{{'staffManager.managerDirect.label.org' | translate}}</div>
          <div class="text-group__content">{{item.managerI?.orgFullName}}</div>
        </div>
      </div>
    </div>
    <nz-divider></nz-divider>
  </ng-container>
  </div>
</div>
